
_putDAC:

;dac_pcf8591.c,7 :: 		void putDAC(unsigned short value) {
;dac_pcf8591.c,9 :: 		I2C1_Start();              // issue I2C start signal
	CALL	_I2C1_Start
;dac_pcf8591.c,10 :: 		I2C1_Write(0x90);             //Calls the 8591 to attention.
	PUSH	W10
	MOV.B	#144, W10
	CALL	_I2C1_Write
;dac_pcf8591.c,11 :: 		I2C1_Write(0b01000000);  //Send a DAC enable word.
	MOV.B	#64, W10
	CALL	_I2C1_Write
	POP	W10
;dac_pcf8591.c,12 :: 		I2C1_Write(value);
	CALL	_I2C1_Write
;dac_pcf8591.c,13 :: 		I2C1_Stop();
	CALL	_I2C1_Stop
;dac_pcf8591.c,14 :: 		}
L_end_putDAC:
	RETURN
; end of _putDAC

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;dac_pcf8591.c,16 :: 		void main() {
;dac_pcf8591.c,17 :: 		ADPCFG = 0xFFFF;           // initialize AN pins as digital
	PUSH	W10
	PUSH	W11
	MOV	#65535, W0
	MOV	WREG, ADPCFG
;dac_pcf8591.c,19 :: 		LATB = 0;
	CLR	LATB
;dac_pcf8591.c,20 :: 		TRISB = 0;                 // Configure PORTB as output
	CLR	TRISB
;dac_pcf8591.c,22 :: 		I2C1_Init(100000);         // initialize I2C communication
	MOV	#34464, W10
	MOV	#1, W11
	CALL	_I2C1_Init
;dac_pcf8591.c,24 :: 		dac_value = 0;
	MOV	#lo_addr(_dac_value), W1
	CLR	W0
	MOV.B	W0, [W1]
;dac_pcf8591.c,26 :: 		while (1) {
L_main0:
;dac_pcf8591.c,28 :: 		putDAC(dac_value);
	MOV	#lo_addr(_dac_value), W0
	MOV.B	[W0], W10
	CALL	_putDAC
;dac_pcf8591.c,29 :: 		delay_ms(10);
	MOV	#8333, W7
L_main2:
	DEC	W7
	BRA NZ	L_main2
	NOP
;dac_pcf8591.c,32 :: 		dac_value++;
	MOV.B	#1, W1
	MOV	#lo_addr(_dac_value), W0
	ADD.B	W1, [W0], [W0]
;dac_pcf8591.c,33 :: 		delay_ms(500);
	MOV	#7, W8
	MOV	#23451, W7
L_main4:
	DEC	W7
	BRA NZ	L_main4
	DEC	W8
	BRA NZ	L_main4
	NOP
	NOP
;dac_pcf8591.c,34 :: 		}
	GOTO	L_main0
;dac_pcf8591.c,36 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main
