/*
The chip address is 0x90.
*/

unsigned short dac_value;

void putDAC(unsigned short value) {

     I2C1_Start();              // issue I2C start signal
     I2C1_Write(0x90);             //Calls the 8591 to attention.
     I2C1_Write(0b01000000);  //Send a DAC enable word.
     I2C1_Write(value);
     I2C1_Stop();
}
  
void main() {
  ADPCFG = 0xFFFF;           // initialize AN pins as digital

  LATB = 0;
  TRISB = 0;                 // Configure PORTB as output

  I2C1_Init(100000);         // initialize I2C communication

  dac_value = 0;
  
  while (1) {
  
    putDAC(dac_value);
    delay_ms(10);

    
    dac_value++;
    delay_ms(500);
  }

}